Subject: bug#46151: 28.0.50; Set revert-buffer-function in shell command output buffers

From: Juri Linkov <[email-masked]>
Date: Sun, 31 Jan 2021 23:35:56 +0200

> Am I confused or did this discussion drift away from something specific
> to shell command output buffers to something global always?
>
> What was wrong with C-c C-r ? Maybe that existing binding in shell mode
> ('comint-show-output')? But if this new binding could be restricted to
> those output buffers it might be ok? I mean, in those buffers it seems
> to me that 'comint-show-output' (C-c C-r) do the same as
> 'beginning-of-buffer' (M-<).

I often need to revert the diff buffer to update it after changing
source files.  But in diff-mode C-c C-r is bound to diff-reverse-direction.
So C-c C-r can't be a universal binding in all modes that support
revert-buffer.  FWIW, I bound revert-buffer to the global C-z r.